// WARNING: This file is auto-generated and any changes to it will be overwritten
import lang.stride.*;
import java.util.ArrayList;

/**
 * Beschreibt eine Uhr
 * @author Albert Wiedemann @version 1.0
 */
public class Uhr
{
    /* Name des Sensors*/
    private String name;
    /* aktueller Wert der Zeit, Stunden*/
    private int stunden;
    /* aktueller Wert der Zeit, minuten*/
    private int minuten;
    /* aktueller Wert der Zeit, Sekunden*/
    private int sekunden;
    /* Rolläden, denen Änderungen gemeldet werden*/
    private ArrayList<Rollladen> beobachter;

    /**
     * Legt den Namen und den Beobachter fest. @param namensZusatz individualler Namensteil des Sensors
     */
    protected Uhr(String namensZusatz)
    {
        name = "Uhr" + namensZusatz;
        beobachter =  new  ArrayList < Rollladen > ();
        stunden = 0;
        minuten = 0;
        sekunden = 0;
    }

    /**
     * Meldet den Namen des Geräts zurück @return Name
     */
    protected String NameGeben()
    {
        return name;
    }

    /**
     * Registriert einen Beobachter @param beobachter wird von jeder Wertänderung benachrichtigt
     */
    protected void BeobachterRegistrieren(Rollladen beobachter)
    {
        this.beobachter.add(beobachter);
    }

    /**
     * Setzt den neuen Sensorwert @param stunden der neue Wert für die Stunde
     */
    protected void WertSetzen(int stunden)
    {
        if ((stunden >= 0) && (stunden < 24)) {
            this.stunden = stunden;
            for (final Rollladen b : beobachter) {
                b.WertänderungMeldenUhr(stunden * 10000 + minuten * 100 + sekunden);
            }
        }
    }

    /**
     * Konvertiert die Zahl in eine Zeichenkette mit (mindestens) zwei Stellen @param zahl die zu konvertierende Zahl @returns die zugehörige Zeichenkette
     */
    protected String ZahlNachString(int zahl)
    {
        if (zahl < 10) {
            return "0" + zahl;
        }
        else {
            return "" + zahl;
        }
    }

    /**
     * Meldet den Zustand der Uhr @return Zustand als Zeichenkette
     */
    protected String ZustandGeben()
    {
        return "" + stunden + ":" + ZahlNachString(minuten) + ":" + ZahlNachString(sekunden) + "Uhr";
    }
}
